Package csb :: Package apps :: Module hhfrag :: Class PredictionBuilder

[frames] | no frames]

# Class PredictionBuilder

source code

    object --+
             |
            PredictionBuilder

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add(self, ri) | source code

addall(self, ri) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

create(ri) | source code

format_angle(angle) | source code

Class Variables
| HEADER = ``'``rank:int residue:str confidence:float centroid:str p``...``

Properties
Table | product
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### add(self, ri)

source code

Parameters:
  - `ri` (ResidueEventInfo) - single residue prediction

### addall(self, ri)

source code

Parameters:
  - `ri` (list of ResidueEventInfo) - all predictions

### create(ri)
Static Method

source code

Parameters:
  - `ri` (list of ResidueEventInfo) - all predictions

### format_angle(angle)
Static Method

source code

Parameters:
  - `angle` (float) - torsion angle value

Class Variable Details

### HEADER

Value:

      'rank:int residue:str confidence:float centroid:str phi:float psi:floa
      t omega:float'

Property Details

### product

Get Method:
  unreachable.product(self)
Type:
  Table